.states-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.state-card {
  margin: 20px;
  width: 300px;
  border: 2px solid #ddd;
  border-radius: 5px;
  overflow: hidden;
}

.state-card h2 {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  margin: 10px;
}

.state-card img {
  width: 100%;
  height: 150px;
  object-fit: cover;
}

.state-card p {
  margin: 10px;
}

.state-card button {
  display: block;
  margin: 10px auto;
  padding: 10px 20px;
  background-color: #4caf50;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
}

.state-card button:hover {
  background-color: #3e8e41;
}

h1 {
  text-align: center;
}
